---
updatedAt: 2026-06-30T05:31:04.000Z
agentTools:
  projectIndex: https://developers.intandem.tech/llms.txt
---

# Delete an App Assignment

## Overview
Delete an app assignment.

**Available for Directory and internal Tokens**

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Apps",
    "description": "Unified OpenAPI specification for apps domain",
    "version": "3.0",
    "x-generated": {
      "sourceFiles": [
        "navigation_items.json",
        "apps.json",
        "app_business_mappings.json",
        "legacy_v1_apps.json",
        "legacy_token.json",
        "widgets_and_boards.json",
        "legacy_app_translation.json",
        "jwks.json"
      ],
      "pathNormalizations": [
        {
          "file": "legacy_v1_apps.json",
          "basePath": "/platform/v1",
          "transformations": [
            {
              "original": "/apps",
              "normalized": "/platform/v1/apps",
              "basePath": "/platform/v1"
            },
            {
              "original": "/apps/{id}",
              "normalized": "/platform/v1/apps/{id}",
              "basePath": "/platform/v1"
            },
            {
              "original": "/apps/{id}/assign",
              "normalized": "/platform/v1/apps/{id}/assign",
              "basePath": "/platform/v1"
            },
            {
              "original": "/apps/{id}/install_app",
              "normalized": "/platform/v1/apps/{id}/install_app",
              "basePath": "/platform/v1"
            },
            {
              "original": "/apps/{id}/unassign",
              "normalized": "/platform/v1/apps/{id}/unassign",
              "basePath": "/platform/v1"
            },
            {
              "original": "/apps/{id}/uninstall_app",
              "normalized": "/platform/v1/apps/{id}/uninstall_app",
              "basePath": "/platform/v1"
            }
          ]
        },
        {
          "file": "legacy_token.json",
          "basePath": "/oauth/service",
          "transformations": [
            {
              "original": "/token",
              "normalized": "/oauth/service/token",
              "basePath": "/oauth/service"
            }
          ]
        },
        {
          "file": "legacy_app_translation.json",
          "basePath": "/platform/v1",
          "transformations": [
            {
              "original": "/apps/translations/{app_code_name}",
              "normalized": "/platform/v1/apps/translations/{app_code_name}",
              "basePath": "/platform/v1"
            }
          ]
        }
      ],
      "pathConflicts": [],
      "componentConflicts": [
        {
          "type": "schema",
          "name": "ErrorResponse",
          "resolution": "Renamed to ErrorResponse_app_business_mappings",
          "files": [
            "merged",
            "app_business_mappings.json"
          ]
        },
        {
          "type": "schema",
          "name": "Response",
          "resolution": "Renamed to Response_widgets_and_boards",
          "files": [
            "merged",
            "widgets_and_boards.json"
          ]
        }
      ],
      "totalPaths": 26,
      "totalComponents": 26
    }
  },
  "servers": [
    {
      "url": "https://api.vcita.biz",
      "description": "Unified API Gateway server"
    }
  ],
  "paths": {
    "/v3/apps/app_assignments/{uid}": {
      "delete": {
        "operationId": "AppAssignments_delete",
        "summary": "Delete an App Assignment",
        "description": "## Overview\nDelete an app assignment.\n\n**Available for Directory and internal Tokens**",
        "parameters": [
          {
            "name": "uid",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Unique identifier of the app assignment to delete"
          }
        ],
        "responses": {
          "200": {
            "description": "App assignment deleted successfully",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/Response"
                    },
                    {
                      "properties": {
                        "data": {
                          "type": "object",
                          "properties": {
                            "uid": {
                              "type": "string",
                              "description": "A unique identifier for the app assignment record"
                            },
                            "created_at": {
                              "type": "string",
                              "description": "Timestamp when the app assignment was created",
                              "format": "date-time"
                            },
                            "updated_at": {
                              "type": "string",
                              "description": "Timestamp when the app assignment was last updated",
                              "format": "date-time"
                            },
                            "assignee_type": {
                              "type": "string",
                              "description": "The type of entity this app is assigned to",
                              "enum": [
                                "business",
                                "package",
                                "directory"
                              ]
                            },
                            "assignee_uid": {
                              "type": "string",
                              "description": "The uid of the entity this app is assigned to"
                            },
                            "assignee_name": {
                              "type": "string",
                              "description": "A unique code name for the underlying package or directory"
                            },
                            "app_code_name": {
                              "type": "string",
                              "description": "The unique identifier of the app"
                            },
                            "directory_uid": {
                              "type": "string",
                              "description": "The uid of the directory this app is assigned to"
                            },
                            "settings": {
                              "type": "object",
                              "description": "Settings for the app assignment",
                              "properties": {
                                "assignment_mode": {
                                  "type": "string",
                                  "description": "App setting:\n 'internal' - App does not show in the app market but still available to use in all relevant integration points;\n 'pre_installed' - Define the app as pre-installed for all new accounts, app shows in app market as installed on first appearance. The user will be able to uninstall it later if they wish to. This is relevant only to account with platform app market",
                                  "enum": [
                                    "internal",
                                    "pre_installed"
                                  ]
                                }
                              },
                              "required": [
                                "assignment_mode"
                              ]
                            }
                          },
                          "required": [
                            "assignee_type",
                            "assignee_uid",
                            "app_code_name",
                            "settings"
                          ],
                          "example": {
                            "uid": "ba7f2e8d-9a1b-4c5d-8e9f-1a2b3c4d5e6f",
                            "created_at": "2024-01-15T10:30:00Z",
                            "updated_at": "2024-01-15T10:30:00Z",
                            "assignee_type": "package",
                            "assignee_uid": "6c71874z-4d2b-46q1-bbdd-f8c7e12e66d0",
                            "assignee_name": "package_1",
                            "app_code_name": "calendar_sync",
                            "directory_uid": "6c71874z-4d2b-46q1-bbdd-f8c7e12e66d0",
                            "settings": {
                              "assignment_mode": "pre_installed"
                            }
                          },
                          "description": "Defines assignment of an app to a business, package, or directory, including settings."
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Bad request. Invalid input data."
          },
          "401": {
            "description": "Unauthorized. The bearer token is missing or invalid."
          },
          "403": {
            "description": "Forbidden. You do not have access to this resource."
          },
          "404": {
            "description": "Not found. App assignment not found."
          },
          "500": {
            "description": "Internal server error."
          }
        },
        "tags": [
          "App Assignments"
        ],
        "security": [
          {
            "Bearer": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "Response": {
        "type": "object",
        "properties": {
          "success": {
            "type": "boolean"
          },
          "data": {
            "type": "object"
          }
        },
        "required": [
          "success",
          "data"
        ]
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Provide a valid bearer token in the Authorization header. Example: 'Authorization: Bearer {app_token}'"
      }
    }
  }
}
```